from setuptools import setup, find_packages

setup(
    name="knowledgefeed",
    version="0.1.0",
    packages=find_packages(),
    install_requires=[
       "beautifulsoup4==4.13.3",
    "docling==2.25.0",
    "docling-core==2.20.0",
    "docling-ibm-models==3.4.0",
    "docling-parse==3.4.0",
    "duckduckgo_search==7.3.2",
    "html2text==2024.2.26",
    "lxml==5.3.1",
    "openai==1.65.1",
    "python-dotenv==1.0.1",
    "requests==2.32.3",
    "streamlit==1.42.2",
    "streamlit_carousel==1.1.2",
    "torch==2.2.2",
    "torchvision==0.17.2",
    "transformers==4.42.4",
    "urllib3==2.3.0",
    ],
    author="Sandeep Hugar",
    author_email="sandeephugar91@gmail.com",
    description="This is a repository dedicated to curating knowledge on any topic related to your domain. This package takes in a topic of your interest and creates a feed of posts with caption-sized facts derived from latest research papers and news articles.",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    url="https://github.com/Sandeep1904/knowledgefeed",
    classifiers=[
        "Programming Language :: Python :: 3",
        'License :: OSI Approved :: Apache Software License',
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.9",
    license='Apache License 2.0',
)